Bug 1129377 - Vdsm sampling threads unexpectingly stops with IOError ENODEV
Summary: Vdsm sampling threads unexpectingly stops with IOError ENODEV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.4.3
Assignee: Antoni Segura Puimedon
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On: 1113948
Blocks: 1126430
TreeView+ depends on / blocked
 
Reported: 2014-08-12 15:22 UTC by rhev-integ
Modified: 2019-04-28 08:37 UTC (History)
23 users (show)

Fixed In Version: 4.14.17-1
Doc Type: Bug Fix
Doc Text:
Previously, the VDSM statistics gathering thread did not account for network devices being removed while an instance of statistics gathering was in progress. This would result in attempting to retrieve data from a non-existing device, causing an exception. Now, devices that are removed are also removed from the statistics report, allowing statistics gathering to return successfully even when network devices are removed while statistics gathering is in progress.
Clone Of: 1113948
Environment:
Last Closed: 2014-10-27 22:36:54 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1721 normal SHIPPED_LIVE vdsm 3.4.3 bug fix and enhancement update 2014-10-28 02:36:41 UTC
oVirt gerrit 29442 master MERGED ipwrapper: do not report devices that disappear Never
oVirt gerrit 29546 ovirt-3.5 MERGED ipwrapper: do not report devices that disappear Never
oVirt gerrit 31419 ovirt-3.4 MERGED ipwrapper: do not report devices that disappear Never
Red Hat Knowledge Base (Solution) 974043 None None None Never

Comment 5 lpeer 2014-09-15 07:31:33 UTC
I support dan's comment. we can provide this as a hotfix.

Comment 8 Meni Yakove 2014-10-02 08:10:32 UTC
vdsm-4.14.13-2.el6ev.x86_64

Comment 9 Julie 2014-10-23 08:51:23 UTC
Hi Antoni,
   Please provide the doc text or set require_doc_text flag to -.

Many thanks,
Julie

Comment 11 errata-xmlrpc 2014-10-27 22:36:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1721.html


Note You need to log in before you can comment on or make changes to this bug.